from django.db import models
from solo.models import SingletonModel


class SiteConfiguration(SingletonModel):
    google_analytics = models.CharField(max_length=128, null=True, blank=True)
    readmore_tag = models.CharField(max_length=128, default='<!--readmore-->')

    def __unicode__(self):
        return u'Site configuration'

    class Meta:
        verbose_name = "Site Configuration"
        verbose_name_plural = "Site Configuration"

